//
//  WordTableDataSource.h
//  BookWorm
//
//  Created by Curtis Jones on 2007.11.19.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "BWWord.h"

@interface WordTableDataSource : NSObject
{
	NSMutableArray * mWords;
}

- (id)init;
- (void)dealloc;

- (void)addWord:(BWWord *)aWord;
- (void)deleteAll;
- (int)count;
- (BWWord *)wordAtIndex:(int)index;

/*
- (GlowWormAppl *)addAppl:(GlowWormAppl *)aAppl;
- (GlowWormAppl *)addApplToTop:(GlowWormAppl *)aAppl;
- (GlowWormAppl *)addAppl:(GlowWormAppl *)aAppl atIndex:(int)anIndex;

- (void)delAll;
- (void)delApplAtIndex:(int)anIndex;

- (int)count;
- (NSArray *)getArray;

- (GlowWormAppl *)applAtIndex:(int)anIndex;
*/

@end
